List
Lists owner-scoped invoice line items with filtering, sorting, and pagination. | authz: allowed_org_types=[provider], min_org_role=operator | () -> (InvoiceLineItemListRes)
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Query parameters
sort_by
Field to sort by.
sort_order
Sort order.
Allowed values:
page
page_size
filter_invoice_types
Filter by one or more invoice types.
Allowed values:
filter_currency_codes
Filter by one or more currency codes.
filter_line_item_types
Filter by one or more line item types.
filter_units
Filter by one or more units.
filter_counterparty_org_id
Filter by an on-CHRT counterparty organization.
filter_counterparty_off_chrt_org_data_id
Filter by off-CHRT counterparty organization data.
filter_shipper_account_id
Filter by an associated shipper account.
filter_invoice_id
Filter by an attached invoice.
filter_is_invoiced
Filter by whether a line item is attached to an invoice.
filter_order_id
Filter by an attributed order.
filter_task_group_id
Filter by an attributed task group.
filter_created_at_timestamp_gte
Filter by created_at_timestamp greater than or equal.
filter_created_at_timestamp_lte
Filter by created_at_timestamp less than or equal.
filter_last_edited_at_timestamp_gte
Filter by last_edited_at_timestamp greater than or equal.
filter_last_edited_at_timestamp_lte
Filter by last_edited_at_timestamp less than or equal.
Response
Successful Response
items
total_count
Errors
422
Invoice Line Items List V1request Unprocessable Entity Error

